package com.zanxiang.sdk.domain.params;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author : lingfeng
 * @time : 2022-06-07
 * @description : 手机登录参数
 */
@Data
public class LoginMobileParam {

    /**
     * 手机号
     */
    @ApiModelProperty(notes = "手机号")
    @NotBlank(message = "手机号不可为空")
    private String mobile;

    /**
     * 验证码
     */
    @ApiModelProperty(notes = "验证码")
    @NotBlank(message = "验证码不可为空")
    private String code;

    /**
     * 游戏id
     */
    @ApiModelProperty(notes = "游戏id")
    @NotNull(message = "游戏id类型不可为空")
    private Long gameId;
}
